<?php
/**
 * @package Sj Responsive Product for VirtueMart
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined ( '_JEXEC' ) or die ();


require_once dirname(__FILE__).'/core/helper.php';

$list = VmResponsiveProductHelper::getList($params);
$layout  = $params->get('layout','default');
if (! empty ( $list )) {
	$is_ajax = ! empty ( $_SERVER ['HTTP_X_REQUESTED_WITH'] ) && strtolower ( $_SERVER ['HTTP_X_REQUESTED_WITH'] ) == 'xmlhttprequest';
	if ($is_ajax) {
		$sj_module_id = JRequest::getVar ( 'module_id', null );
		if(JRequest::getVar ( 'source_limit', null ) != 0){
			if ($sj_module_id == $module->id) {
				ob_start ();
				require JModuleHelper::getLayoutPath ( $module->module, $layout . '_items' );	
				$buffer = ob_get_contents ();
				$result = preg_replace ( array ('/ {2,}/', '/<!--.*?-->|\t|(?:\r?\n[ \t]*)+/s' ), array (' ', '' ), $buffer );
				ob_end_clean ();
				die($result);
			}
		}
	}else{
		require JModuleHelper::getLayoutPath ( $module->module, $layout );
	}
}
else { echo JText::_('Has no content to show!');}