<?php
/**
 * @package Sj Responsive Product for VirtueMart
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined('_JEXEC') or die;

// import css
JHtml::stylesheet('modules/'.$module->module.'/assets/css/jquery.fancybox.css');
JHtml::stylesheet('modules/'.$module->module.'/assets/css/rescontent.css');

// import jQuery
if(class_exists('vmJsApi')){
    vmJsApi::jQuery();
}else {
    if( !defined('SMART_JQUERY') && $params->get('include_jquery', 0) == "1" ){
        JHtml::script('modules/'.$module->module.'/assets/js/jquery-1.8.2.min.js');
        JHtml::script('modules/'.$module->module.'/assets/js/jsmart.noconflict.js');
        define('SMART_JQUERY', 1);
    }
}

JHtml::script('modules/'.$module->module.'/assets/js/debug.js');
JHtml::script('modules/'.$module->module.'/assets/js/jquery.isotope.min.js');
JHtml::script('modules/'.$module->module.'/assets/js/jquery.infinitescroll.min.js');
JHtml::script('modules/'.$module->module.'/assets/js/jquery.fancybox.js');
JHtml::script('components/com_virtuemart/assets/js/vmprices.js');
JHtml::script('components/com_virtuemart/assets/js/fancybox/jquery.fancybox-1.3.4.pack.js');

ImageHelper::setDefault($params);
$currency = CurrencyDisplay::getInstance( );
$options = $params->toObject();
$uri=JURI::getInstance();
$uri->setVar('page', '2');
$uri->setVar('module_id',$module->id);
$uri->setVar('source_limit',$params->get('source_limit'));
$tag_id = 'sj_vm_responsive_product_'.rand().time();
?>
<script type="text/javascript">
//<![CDATA[
jQuery(document).ready(function($){
	;(function(element){
		var time = 0, inter = null;
		var $container = $(element), test = function(){ if (time>2000 && inter){clearInterval(inter); time=0;} time+=10; console.log('At '+time+': '+$container.height()); },
			is = element + ' .responsive-content-box',
			scroll = function(){
				<?php if($params->get('loadmore_type') == 1) { ?>
					$container.infinitescroll('scroll');
				<?php } ?>
			},
			start = function(){
				$container.isotope({
					itemSelector: is
				});

				if ( $.browser.msie  && parseInt($.browser.version, 10) <= 8){
					//nood
				}else{
					$(window).resize(function() {
						$container.isotope('reLayout');
					});
			    }
				<?php if($params->get('loadmore_type') == 1) { ?>
					$(window).bind('scroll');
					$container.infinitescroll(
						{
							
							navSelector : '#page_nav_<?php echo $module->id;?>', // selector for the paged navigation
							nextSelector : '#page_nav_<?php echo $module->id;?> a', // selector for the NEXT link (to page 2)
							itemSelector : is, // selector for all items you'll retrieve
							debug		 : true,
							loading: {
								finishedMsg: 'No more pages to load.',
								img: 'http://i.imgur.com/qkKy8.gif'
							},
							 infid:'<?php echo $module->id; ?>'
						},
						// call Isotope as a callback
						function( newElements ) {
							var $newElements = $( newElements ).css({ opacity: 0 });
							$newElements.imagesLoaded( function(){
								$newElements.animate({ opacity: 1 });
								$container.isotope( 'appended', $newElements );
								<?php if($params->get('link_target') == '_windowopen'){?>
									$newElements.each(function(){
										var item = $(this).find('.fancybox');
										//var url = $(this).attr('href');alert(url);
										item.fancybox({
											prevEffect : 'none',
											nextEffect : 'none',
											width     :600,
											heidth    :200,
											maxWight  :800,
											maxHeight :400,
											autoSize  : false,
										});
									})
								<?php } ?>
								setTimeout(scroll, 1000);
							});
							
						}
					);
				<?php } else {?>
					var  loading_state = function(){
       						 $('.loader-image','#resp_content_button_<?php echo $module->id; ?>').css('display','inline-block');
       						 $('.loader-label','#resp_content_button_<?php echo $module->id; ?>').html('Loading...');
       					} 
					var  loadmore_state = function(){
       						 $('.loader-image','#resp_content_button_<?php echo $module->id; ?>').css('display','none');
       						 $('.loader-label','#resp_content_button_<?php echo $module->id; ?>').html('Load More');
       					} 
					
						$container.infinitescroll(
							{
								navSelector : "a#resp_content_button_<?php echo $module->id; ?>:last", // selector for the paged navigation
								nextSelector : "a#resp_content_button_<?php echo $module->id; ?>:last", // selector for the NEXT link (to page 2)
								itemSelector : is, // selector for all items you'll retrieve
								debug		 : false,
								loading: {
									finishedMsg: 'No more pages to load.',
									img: 'http://i.imgur.com/qkKy8.gif'
								},
								errorCallback: function(){
									$('#responsive_loadmore_<?php echo $module->id ?>').remove();
									
								},
								 animate      : true,  
								 localMode    : true,
								infid:'<?php echo $module->id;?>'
							},
						// call Isotope as a callback
						function( newElements ) {
							var $newElements = $( newElements ).css({ opacity: 0 });
							$newElements.imagesLoaded( function(){
								$newElements.animate({ opacity: 1 });
								$container.isotope( 'appended', $newElements );
								<?php if($params->get('link_target') == '_windowopen'){?>
									$newElements.each(function(){
										var item = $(this).find('.fancybox');
										//var url = $(this).attr('href');alert(url);
										item.fancybox({
											prevEffect : 'none',
											nextEffect : 'none',
											width     :600,
											heidth    :200,
											maxWight  :800,
											maxHeight :400,
											autoSize  : false,
										});
									})
								<?php } ?>
								loadmore_state();
							});
							
						}
					);
					
				$(window).unbind('.infscr');
				$('#resp_content_button_<?php echo $module->id; ?>','#responsive_loadmore_<?php echo $module->id ?>').click(function(e){
						loading_state();	
						e.preventDefault();
       					$container.infinitescroll('retrieve');
					 return false;;
					});
						
				<?php }?>
			};
			
			
		$container.imagesLoaded(function(){
			start();
			scroll();
		});
		
		// fancybox
		$('.fancybox').fancybox({
			prevEffect : 'none',
			nextEffect : 'none',
			width     :600,
			heidth    :200,
			maxWight  :800,
			maxHeight :400,
			autoSize  : false
		});
		$('body').on('mouseover','.responsive-content-box-inner',function(){
			$(this).find('.item-addtocart').css('display','block');
		});
		
		$('body').on('mouseout','.responsive-content-box-inner',function(){
			$(this).find('.item-addtocart').css('display','none');
		});
							$('body').on('click','.addtocart-button',function(){
								var parent = jQuery(this);
								do {
									parent = parent.parent();
									if(parent.is('form')){
										cart = parent;
									}
								} while ( !parent.is('form') );
								Virtuemart.sendtocart(cart);
								return false;
							});
	})('#<?php echo 'sj_vm_responsive_product_'.$module->id ;?>');
});
//]]>
</script>
<?php $class_respl= 'sj-respl01-'.$params->get('nb-column1',6).' sj-respl02-'.$params->get('nb-column2',4).' sj-respl03-'.$params->get('nb-column3',2).' sj-respl04-'.$params->get('nb-column4',1) ?>
<?php if (!empty($options->pretext)) { ?>
	<div class="sj-vm-responsive-product-introtext ">
		<?php echo $options->pretext; ?>
	</div>
<?php } ?>
<!-- Begin sj-resonsive-content -->
<div id="<?php echo 'sj_vm_responsive_product_'.$module->id ;?>" class="sj-vm-responsive-product <?php echo $class_respl?> <?php echo ($params->get('loadmore_type') == 0)?'loadmore-click':'';?>">
<?php foreach($list  as $item){
	$img = VmResponsiveProductHelper::getVmImage($item, $params);
	?>
	<div class="responsive-content-box">
		<div class="responsive-content-box-inner">
			<div class="responsive-content-box-bg">
				<div class="item">
					<?php
			        if($img){ ?>
		       		<div class="item-img">
			        		<img class="responsive-loadimage" title="<?php echo $item->title; ?>" alt="<?php echo $item->title; ?>"  src="<?php echo ImageHelper::init($img)->src(); ?>"  style="display:none;" />
			        		<?php 	echo VmResponsiveProductHelper::imageTag($img); ?>
			        	<?php if($params->get('item_created_display', 1)== 1 || $params->get('item_price_display',1) == 1) { ?>
			      		<div class="item-caption">
			      			<?php if($params->get('item_created_display',1) == 1) {?>
			           		<span class="item-date">
			                	<?php echo  JHTML::_('date', $item->created_on,JText::_('DATE_FORMAT_LC3')) ?>
			             	</span>
			             	<?php }?>
			             	<?php if((int)$params->get('item_price_display',1)){  ?>
							<?php if($item->prices !=''){ ?>
							<?php if($item->prices['salesPrice'] != NULL Or $item->prices['salesPriceWithDiscount'] != NULL){?>
							<div class="item-price">
								<?php
								if (!empty($item->prices['salesPrice'])) {
									echo $currency->createPriceDiv ('salesPrice', JText::_( "Price: " ), $item->prices, false, false, 1.0, true);
								}
								if (!empty($item->prices['salesPriceWithDiscount'])) {
									$currency = CurrencyDisplay::getInstance( );
									echo $currency->createPriceDiv ('salesPriceWithDiscount', JText::_( "Price: " ), $item->prices, false, false, 1.0, true);
								}?>
							</div>
							<?php } ?>
							<?php } ?>
                            <?php } ?>
						</div>
						<?php } ?>
						<div class="item-img-mask"></div>
						<div class="item-spacer"></div>
			  		</div>
			  		<?php }?>
			  		<?php if($params->get('item_title_display',1) == 1){?>
		    		<h4 class="item-title">
		            	<?php echo VmResponsiveProductHelper::truncate($item->title, $params->get('item_title_max_characters',25)); ?>
		         	</h4>
		         	<?php } ?>
					<?php if($params->get('item_desc_display', 1) == 1) {?>
					<div class="item-desc">
						<?php echo $item->_description; ?>
					</div>
		            <?php } ?>
		           <?php if($params->get('item_readmore_display', 0) == 1){?>
						<div class="item-readmore">
							<a href="<?php echo $item->link ?>" <?php echo VmResponsiveProductHelper::parseTarget($options->link_target);?> title="<?php echo $item->title?>" >
								 <?php echo $params->get('item_readmore_text','read more..') ?>
							</a>
						</div>
					<?php } ?>
					
				</div>
				<div class="responsive-content-box-mask">
					
				</div>
				<?php if ($options->link_target=='_windowopen'){
					$link = $item->link;
					$link .= (strpos($item->link,'?'))?'&tmpl=component':'?tmpl=component';
					?>
					<a class="mask-img fancybox fancybox.iframe <?php echo ($img)?'':'item-img-mask'?>" data-fancybox-group="gallery" href="<?php  echo $link; ?>" title="<?php echo $item->title;?> "></a>
				<?php } else {?>
					<a class="mask-img <?php echo ($img)?'':'item-img-mask'?>" href="<?php echo $item->link ?>" <?php echo VmResponsiveProductHelper::parseTarget($options->link_target);?> title="<?php echo $item->title?>" ></a>
				<?php }?>
				<?php if ($params->get('item_addtocart_display', 1)) {
                            $_item['product'] = $item; ?>
                            <div class="item-addtocart">
                                <?php echo shopFunctionsF::renderVmSubLayout('addtocart', $_item); ?>
                            </div>
                <?php } ?>
			</div>
    	</div>
   	</div>
<?php } ?>
</div>

<!-- End sj-resonsive-content -->



<?php if($params->get('loadmore_type') == 1){?>
<nav id="page_nav_<?php echo $module->id;?>" style="clear: both;">
	<a class="respl-button" href="<?php echo (string)$uri; ?>"></a>
</nav>
<?php  } else {?>
<nav id="responsive_loadmore_<?php echo $module->id ?>" style="margin-top:30px;" class="responsive-content-loadmore">
	<a class="resp-content-button" id="resp_content_button_<?php echo $module->id; ?>" href="<?php echo (string)$uri; ?>">
		<span class="loader-image"></span>
		<span class="loader-label" >Load More</span>
	</a>
</nav>
<?php }?>
<?php if ( !empty($options->posttext)){ ?>
	<div class="sj-vm-responsive-product-footertext ">
		<?php echo $options->posttext; ?>
	</div>
<?php } ?>
<script type="text/javascript">
//<![CDATA[
		
		
		if (typeof  Virtuemart !== 'undefined') {
            Virtuemart.addtocart_popup = 1;
            usefancy = "<?php echo VmConfig::get('usefancy')?>";
            vmLang = "<?php echo VmConfig::get('vmLang') != ''?VmConfig::get('vmLang'):"";?>";
            window.vmSiteurl = "<?php echo JUri::base();?>";
        }
//]]>
</script>