<?php
/**
 * @package Sj Responsive Product for VirtueMart
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined('_JEXEC') or die;
ImageHelper::setDefault($params);
$currency = CurrencyDisplay::getInstance( );
$options = $params->toObject();
foreach($list  as $item){ 
	$img = VmResponsiveProductHelper::getVmImage($item, $params);?>
	<div id='<?php echo 'sj_vm_responsive_product_'.$module->id;?>' >
		<div class="responsive-content-box">
			<div class="responsive-content-box-inner">
				<div class="responsive-content-box-bg">
					<div class="item">
					<?php
			        	if($img){ ?>
						<div class="item-img">
								<img class="responsive-loadimage" title="<?php echo $item->title; ?>" alt="<?php echo $item->title; ?>"  src="<?php echo ImageHelper::init($img)->src(); ?>"  style="display:none;" />
								<?php 	echo VmResponsiveProductHelper::imageTag($img); ?>
							<?php if($params->get('item_created_display', 1)== 1 || $params->get('item_price_display',1) == 1) { ?>
							<div class="item-caption">
								<?php if($params->get('item_created_display',1) == 1) {?>
								<span class="item-date">
									<?php echo  JHTML::_('date', $item->created_on,JText::_('DATE_FORMAT_LC3')) ?>
								</span>
								<?php }?>
								<?php if((int)$params->get('item_price_display',1)){  ?>
								<?php if($item->prices['salesPrice'] != NULL Or $item->prices['salesPriceWithDiscount'] != NULL){?>
								<div class="item-price">
									<?php
									if (!empty($item->prices['salesPrice'])) {
										echo $currency->createPriceDiv ('salesPrice', JText::_( "Price: " ), $item->prices, false, false, 1.0, true);
									}
									if (!empty($item->prices['salesPriceWithDiscount'])) {
										$currency = CurrencyDisplay::getInstance( );
										echo $currency->createPriceDiv ('salesPriceWithDiscount', JText::_( "Price: " ), $item->prices, false, false, 1.0, true);
									}?>
								</div>
								<?php } ?>
								<?php } ?>
							</div>
							<?php } ?>
							<div class="item-img-mask"></div>
							<div class="item-spacer"></div>
						</div>
				  		<?php } ?>
				  		<?php if($params->get('item_title_display',1) == 1){?>
			    		<h4 class="item-title">
			            	<?php echo VmResponsiveProductHelper::truncate($item->title, $params->get('item_title_max_characters',25)); ?>			
			         	</h4>
			         	<?php } ?>
			         	<?php if($params->get('item_desc_display', 1) == 1) {?>
						<div class="item-desc">
							<?php echo $item->_description; ?>
						</div>
						<?php } ?>
			           <?php if($params->get('item_readmore_display', 0) == 1){?>
							<div class="item-readmore">
								<a href="<?php echo $item->link ?>" <?php echo VmResponsiveProductHelper::parseTarget($options->link_target);?> title="<?php echo $item->title?>" >
									 <?php echo $params->get('item_readmore_text','read more..') ?>
								</a>
							</div>
						<?php } ?>
					</div>
					<div class="responsive-content-box-mask">
						
					</div>
					<?php if ($options->link_target=='_windowopen'){
						$link = $item->link;
						$link .= (strpos($item->link,'?'))?'&tmpl=component':'?tmpl=component';
						?>
						<a class="mask-img fancybox fancybox.iframe <?php echo ($img)?'':'item-img-mask'?>" data-fancybox-group="gallery" href="<?php echo $link; ?>" title="<?php echo $item->title;?> "></a>
					<?php } else {?>
						<a class="mask-img <?php echo ($img)?'':'item-img-mask'?>" href="<?php echo $item->link ?>" <?php echo VmResponsiveProductHelper::parseTarget($options->link_target);?> title="<?php echo $item->title?>" ></a>	
					<?php }?>
					<?php if ($params->get('item_addtocart_display', 1)) {
								$_item['product'] = $item; ?>
								<div class="item-addtocart">
									<?php echo shopFunctionsF::renderVmSubLayout('addtocart', $_item); ?>
								</div>
					<?php } ?>
				</div>
	    	</div>
	    </div>
	</div>
	<?php 
	} ?>